EUSCALE-PUT-SCHEDULED-UPDATE-GROUP-ACTION(1)

NAME
euscale-put-scheduled-update-group-action - Schedule a scaling action for an auto-scaling group

SYNOPSIS
euscale-put-scheduled-update-group-action -g ASGROUP

[-b YYYY-MM-DDThh:mm:ssZ]
    [-e YYYY-MM-DDThh:mm:ssZ] [-r "MIN HOUR DATE MONTH DAY"] [--desired-capacity COUNT] [--max-size COUNT] [--min-size COUNT] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ACTION

DESCRIPTION
Schedule a scaling action for an auto-scaling group

  positional arguments:

ACTION
    name of the new scheduled action

  optional arguments:

-g ASGROUP, --auto-scaling-group ASGROUP
    auto-scaling group the new action should affect (required)

-b YYYY-MM-DDThh:mm:ssZ, --start-time YYYY-MM-DDThh:mm:ssZ
    time for this action to start

-e YYYY-MM-DDThh:mm:ssZ, --end-time YYYY-MM-DDThh:mm:ssZ
    time for this action to end

-r "MIN HOUR DATE MONTH DAY", --recurrence "MIN HOUR DATE MONTH DAY"
    time when recurring future actions will start, in crontab format

--desired-capacity COUNT
    new capacity setting for the group

--max-size COUNT
    maximum number of instances to allow in the group

--min-size COUNT
    minimum number of instances to allow in the group

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit